--- title: "Update a cross account" slug: "update-a-cross-account-2" tags: ["Product Usage", "vIPS 11.1x", "vIPS"] updated: 2026-09-11T20:53:22Z published: 2026-09-11T20:53:22Z canonical: "docs.trellix.com/update-a-cross-account-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Update a cross account This URL updates the tenant ID of a cross account configured for a Controller. ### Resource URL PUT /controller/account//crossaccount/ ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `accound id` | Cloud account ID. The ID is allocated by the Manager for the cloud account associated with the Controller. | number | Yes | | `crossaccount name` | Name of the cross account that needs to be updated | string | Yes | Payload Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `crossAccountId` | Cross account ID | string | Yes | ### Response Parameters Following fields are returned in the response. | Field Name | Description | Data Type | | --- | --- | --- | | `success` | Indicates if the cross account update is successful. Value is set to `true` if the update is successful. Value is set to `false` if the update is not successful. | string | | `msg` | Message if cross account update is successful | string | | `errMsg` | Not applicable | Not applicable | | `domainName` | Not applicable | Not applicable | | `data` | Tenant ID of the updated cross account | string | ### Example ****Request**** PUT [https:///intruvert/webservice/api/v1/cloud/controller/account/7/crossaccount/FinanceCompartment-1](https://<NSM_IP>/intruvert/webservice/api/v1/cloud/controller/account/7/crossaccount/FinanceCompartment-1) Payload ``` {"crossAccountId": "arn:aws:iam::97284xxxx:instance-profile/Trellix_vIPS_IAM"} ``` ****Response**** ``` { "success": true, "msg": "CloudCrossAccount [FinanceCompartment-1] successfully updated to CrossAccountId -arn:aws:iam::97284xxxx:instance-profile/Trellix_vIPS_IAM", "errMsg": null, "domainName": null, "data": "arn:aws:iam::97284xxxx:instance-profile/Trellix_vIPS_IAM" } ```